Bug 70287 - noatun won't play any files
noatun won't play any files
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kdemultimedia (Show other bugs)
null
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-31 10:36 EDT by Nathan G. Grennan
Modified: 2015-03-04 20:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-08 08:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-07-31 10:36:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
noatun won't play any files I have added to the playlist. I have tried mp3s,
mpgs, and oggs. I can see them in the playlist but when I hit play nothing
happens other than noatun freezing for a moment. The arts server is running and
xmms will play through it just fine with the xmms arts output plugin.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install noatun
2. Run noatun
3. Add a mp3/ogg/mpg to the playlist
4. Hit the play button
	

Actual Results:  Nothing

Expected Results:  For it to play the file

Additional info:

Limbo beta2
Comment 1 Nathan G. Grennan 2002-07-31 12:20:37 EDT
# artsd &
unix_connect: can't connect to server
(unix:/tmp/mcop-edgan/cygnusx-1_okcforum_org-0659-3d480c4f)
There are already artsd objects registered, looking if they are active...
... cleaned 5 unused mcop global references.
# noatun &
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
fcntl: Bad file descriptor
mcop warning: user defined signal handler found for SIG_PIPE, overriding
Started
1
unix_connect: can't connect to server
(unix:/tmp/mcop-edgan/cygnusx-1_okcforum_org-0667-3d480d38)
Launched ok, pid = 1644
zsh: segmentation fault  artsd
Comment 2 Phil Knirsch 2002-08-06 09:41:09 EDT
Works without a problem for me here.

What is your exact setup, do you have any other programs running that use
arts/sound in general?

Read ya, Phil
Comment 3 Nathan G. Grennan 2002-08-06 10:18:39 EDT
From what I can tell it is a problem with arts-1.0.2-3 and noatun-3.0.2-3. If I
use older versions of arts, they don't segmentation fault when I try to use
noatun. arts-1.0.2-3 does run fine with the xmms arts output plugin.
Comment 4 Phil Knirsch 2002-08-08 11:28:10 EDT
Thats really strange. I am using the same packages here and it works just
fine... Hmmm...

It looks like you are using zsh and running as root, right?

Could you just for a check use none-root user with a bash and try it there? If
that works, it's some strange interaction between zsh/root and newer artsd...

Read ya, Phil
Comment 5 Nathan G. Grennan 2002-08-09 03:23:44 EDT
bash didn't help with non-root user, it still seg faulted
Comment 6 Bernhard Rosenkraenzer 2002-08-16 06:22:52 EDT
Does kaboodle work for you? (kaboodle and noatun use the same backend...)
Comment 7 Phil Knirsch 2002-08-20 10:52:07 EDT
Could you do a 

/usr/sbin/lsof -p `/sbin/pidof artsd`

after you started the artsd and the same for noatun before i crashes attach the
output to this bugzilla report. I really can't reproduce the problem here, no
matter how hard i try. :-(

Also the output of

ls -l /tmp
ls -l /tmp/mcop-edgan

would be great.

Thanks,

Read ya, Phil
Comment 8 Nathan G. Grennan 2002-08-20 13:48:46 EDT
I have a fresh install of Null. I did carry over my home directory, but I think
I have tried deleting .mcop, .kde, etc before without results.



-rw-r--r--    1 builder  builder        72 Aug 20 10:50 files.lst
-rw-------    1 edgan    edgan         989 Aug 20 11:08 gaimC4Oip6
srw-------    1 edgan    edgan           0 Aug 20 11:08 gaim_edgan.2966
drwx------    2 edgan    edgan           0 Aug 20 10:55 kde-edgan
drwx------    2 edgan    edgan           0 Aug 20 12:44 ksocket-edgan
drwx------    3 edgan    edgan           0 Aug 20 12:43 mcop-edgan
drwx------    2 edgan    edgan           0 Aug 20 12:43 orbit-edgan
drwx------    2 edgan    edgan           0 Aug 20 11:08 ssh-XXcDQU10
srwxr-xr-x    1 edgan    edgan           0 Aug 20 11:08 xmms_edgan.0
[edgan@cygnusx-1 ~]# ls -l /tmp/mcop-edgan
total 28
-rw-------    1 edgan    edgan         234 Aug 20 12:43 Arts_AudioManager
drwx------    2 edgan    edgan           0 Aug 20 10:56 artsd-samples
-rw-------    1 edgan    edgan         234 Aug 20 12:43 Arts_MidiManager
-rw-------    1 edgan    edgan         234 Aug 20 12:43 Arts_PlayObjectFactory
-rw-------    1 edgan    edgan         234 Aug 20 12:43 Arts_SimpleSoundServer
-rw-------    1 edgan    edgan         234 Aug 20 12:43 Arts_SoundServer
-rw-------    1 edgan    edgan         234 Aug 20 12:43 Arts_SoundServerV2
srwxr-xr-x    1 edgan    edgan           0 Aug 20 10:56
cygnusx-1_okcforum_org-08d4-3d6266be
srwxr-xr-x    1 edgan    edgan           0 Aug 20 10:56
cygnusx-1_okcforum_org-08d7-3d6266ca
srwxr-xr-x    1 edgan    edgan           0 Aug 20 10:57
cygnusx-1_okcforum_org-08de-3d6266ce
srwxr-xr-x    1 edgan    edgan           0 Aug 20 12:41
cygnusx-1_okcforum_org-0ceb-3d627f62
srwxr-xr-x    1 edgan    edgan           0 Aug 20 12:42
cygnusx-1_okcforum_org-0cf0-3d627f72
srwxr-xr-x    1 edgan    edgan           0 Aug 20 12:42
cygnusx-1_okcforum_org-0cf3-3d627f80
srwxr-xr-x    1 edgan    edgan           0 Aug 20 12:42
cygnusx-1_okcforum_org-0cf8-3d627f8b
srwxr-xr-x    1 edgan    edgan           0 Aug 20 12:43
cygnusx-1_okcforum_org-0cfb-3d627fa6
-rw-------    1 edgan    edgan          32 Aug 20 10:56 secret-cookie



COMMAND  PID  USER   FD   TYPE     DEVICE    SIZE    NODE NAME
artsd   3323 edgan  cwd    DIR      254,0    4096 7356417 /home/edgan
artsd   3323 edgan  rtd    DIR       33,1    4096       2 /
artsd   3323 edgan  txt    REG       33,3  198587   34220 /usr/bin/artsd
artsd   3323 edgan  mem    REG       33,1   87409   32837 /lib/ld-2.2.90.so
artsd   3323 edgan  mem    REG       33,3  438991   66647
/usr/lib/libsoundserver_idl.so.1.0.0
artsd   3323 edgan  mem    REG       33,3  318720   66631
/usr/lib/libkmedia2_idl.so.1.0.0
artsd   3323 edgan  mem    REG       33,3 1219600   66611
/usr/lib/libartsflow.so.1.0.0
artsd   3323 edgan  mem    REG       33,3  704313   66615
/usr/lib/libartsflow_idl.so.1.0.0
artsd   3323 edgan  mem    REG       33,3  171059   65775
/usr/lib/libaudiofile.so.0.0.2
artsd   3323 edgan  mem    REG       33,3   23883   66639
/usr/lib/libmcop_mt.so.1.0.0
artsd   3323 edgan  mem    REG       33,3  864201   66635 /usr/lib/libmcop.so.1.0.0
artsd   3323 edgan  mem    REG       33,1   73460   32882 /lib/libresolv-2.2.90.so
artsd   3323 edgan  mem    REG       33,1   11294   32850 /lib/libdl-2.2.90.so
artsd   3323 edgan  mem    REG       33,1  101761  558151
/lib/i686/libpthread-0.9.so
artsd   3323 edgan  mem    REG       33,3 4177748   65754
/usr/lib/libstdc++.so.5.0.0
artsd   3323 edgan  mem    REG       33,1  854504   32907
/lib/libgcc_s-3.2-20020814.so.1
artsd   3323 edgan  mem    REG       33,1  171352  558149 /lib/i686/libm-2.2.90.so
artsd   3323 edgan  mem    REG       33,3  272074   66921
/usr/lib/libartsmidi.so.0.0.0
artsd   3323 edgan  mem    REG       33,3  374711   66925
/usr/lib/libartsmidi_idl.so.0.0.0
artsd   3323 edgan  mem    REG       33,3  652485   66905
/usr/lib/libartsbuilder.so.0.0.0
artsd   3323 edgan  mem    REG       33,1 1321738  558147 /lib/i686/libc-2.2.90.so
artsd   3323 edgan    0u   CHR      136,1               3 /dev/pts/1
artsd   3323 edgan    1u   CHR      136,1               3 /dev/pts/1
artsd   3323 edgan    2u   CHR      136,1               3 /dev/pts/1
artsd   3323 edgan    3r  FIFO        0,6          179402 pipe
artsd   3323 edgan    4w  FIFO        0,6          179402 pipe
artsd   3323 edgan    5u  unix 0xdcd77640          179403
/tmp/mcop-edgan/cygnusx-1_okcforum_org-0cfb-3d627fa6
artsd   3323 edgan    6r  FIFO        0,6          179405 pipe
artsd   3323 edgan    7w  FIFO        0,6          179405 pipe
artsd   3323 edgan    8w   CHR       14,3           33000 /dev/dsp



COMMAND  PID  USER   FD   TYPE     DEVICE    SIZE    NODE NAME
noatun  3334 edgan  cwd    DIR      254,0    4096 7356417 /home/edgan
noatun  3334 edgan  rtd    DIR       33,1    4096       2 /
noatun  3334 edgan  txt    REG       33,3    5283   35846 /usr/bin/noatun
noatun  3334 edgan  mem    REG       33,1   87409   32837 /lib/ld-2.2.90.so
noatun  3334 edgan  mem    REG       33,3   20730  315087 /usr/lib/kde3/noatun.so
noatun  3334 edgan  mem    REG       33,3  631006   67360
/usr/lib/libnoatun.so.0.0.0
noatun  3334 edgan  mem    REG       33,3   42185   66909
/usr/lib/libartsgui.so.0.0.0
noatun  3334 edgan  mem    REG       33,3  399826   66917
/usr/lib/libartsgui_kde.so.0.0.0
noatun  3334 edgan  mem    REG       33,3 2974430   66929
/usr/lib/libartsmodules.so.0.0.0
noatun  3334 edgan  mem    REG       33,3  652485   66905
/usr/lib/libartsbuilder.so.0.0.0
noatun  3334 edgan  mem    REG       33,3  374711   66925
/usr/lib/libartsmidi_idl.so.0.0.0
noatun  3334 edgan  mem    REG       33,3  468087   66913
/usr/lib/libartsgui_idl.so.0.0.0
noatun  3334 edgan  mem    REG       33,3  719719   67362 /usr/lib/libnoatunarts.so
noatun  3334 edgan  mem    REG       33,3  224172   66679
/usr/lib/libartskde.so.1.0.0
noatun  3334 edgan  mem    REG       33,3 3100700   66733 /usr/lib/libkio.so.4.0.0
noatun  3334 edgan  mem    REG       33,3 2758779   66725 /usr/lib/libkdeui.so.4.0.0
noatun  3334 edgan  mem    REG       33,3  179708   66705 /usr/lib/libkdefx.so.4.0.0
noatun  3334 edgan  mem    REG       33,3   17808   49525
/usr/X11R6/lib/libXrender.so.1.1
noatun  3334 edgan  mem    REG       33,3  118286   66721 /usr/lib/libkdesu.so.4.0.0
noatun  3334 edgan  mem    REG       33,3 1676055   66697
/usr/lib/libkdecore.so.4.0.0
noatun  3334 edgan  mem    REG       33,3  233804   66675 /usr/lib/libDCOP.so.4.0.0
noatun  3334 edgan  mem    REG       33,3   20866   49487
/usr/lib/gconv/gconv-modules.cache
noatun  3334 edgan  mem    REG       33,3    3736  410622
/usr/X11R6/lib/X11/locale/common/xlcUTF8Load.so.2
noatun  3334 edgan  mem    REG       33,3   36593  315089
/usr/lib/kde3/noatun_dcopiface.so
noatun  3334 edgan  mem    REG       33,1   10421   32888 /lib/libutil-2.2.90.so
noatun  3334 edgan  mem    REG       33,3   34382   66643
/usr/lib/libqtmcop.so.1.0.0
noatun  3334 edgan  mem    REG       33,3 7612495  214740
/usr/lib/qt-3.0.5/lib/libqt-mt.so.3.0.5
noatun  3334 edgan  mem    REG       33,3  160827   65844
/usr/lib/libpng12.so.0.1.2.2
noatun  3334 edgan  mem    REG       33,3   60805   65840 /usr/lib/libz.so.1.1.4
noatun  3334 edgan  mem    REG       33,3   53264   49507
/usr/X11R6/lib/libXext.so.6.4
noatun  3334 edgan  mem    REG       33,3  903088   49499
/usr/X11R6/lib/libX11.so.6.2
noatun  3334 edgan  mem    REG       33,3   31548   49497
/usr/X11R6/lib/libSM.so.6.0
noatun  3334 edgan  mem    REG       33,3   82064   49493
/usr/X11R6/lib/libICE.so.6.3
noatun  3334 edgan  mem    REG       33,1  101761  558151
/lib/i686/libpthread-0.9.so
noatun  3334 edgan  mem    REG       33,3  438991   66647
/usr/lib/libsoundserver_idl.so.1.0.0
noatun  3334 edgan  mem    REG       33,3  318720   66631
/usr/lib/libkmedia2_idl.so.1.0.0
noatun  3334 edgan  mem    REG       33,3 1219600   66611
/usr/lib/libartsflow.so.1.0.0
noatun  3334 edgan  mem    REG       33,3  171059   65775
/usr/lib/libaudiofile.so.0.0.2
noatun  3334 edgan  mem    REG       33,3  704313   66615
/usr/lib/libartsflow_idl.so.1.0.0
noatun  3334 edgan  mem    REG       33,3  864201   66635 /usr/lib/libmcop.so.1.0.0
noatun  3334 edgan  mem    REG       33,1   73460   32882 /lib/libresolv-2.2.90.so
noatun  3334 edgan  mem    REG       33,1   11294   32850 /lib/libdl-2.2.90.so
noatun  3334 edgan  mem    REG       33,3 4177748   65754
/usr/lib/libstdc++.so.5.0.0
noatun  3334 edgan  mem    REG       33,1  854504   32907
/lib/libgcc_s-3.2-20020814.so.1
noatun  3334 edgan  mem    REG       33,1  171352  558149 /lib/i686/libm-2.2.90.so
noatun  3334 edgan  mem    REG       33,3  113221   65996 /usr/lib/libcups.so.2
noatun  3334 edgan  mem    REG       33,3  310113   66222 /usr/lib/libmng.so.1.0.0
noatun  3334 edgan  mem    REG       33,3  137775   65749 /usr/lib/libjpeg.so.62.0.0
noatun  3334 edgan  mem    REG 33,3  281244   65828 /usr/lib/libGL.so.1.0.2960
noatun  3334 edgan  mem    REG       33,3   89456   49515
/usr/X11R6/lib/libXmu.so.6.2
noatun  3334 edgan  mem    REG       33,3   80882   65830 /usr/lib/libXft.so.2.0
noatun  3334 edgan  mem    REG       33,3  169606   65785
/usr/lib/libfontconfig.so.1.0
noatun  3334 edgan  mem    REG       33,1  225009   32914 /lib/libssl.so.0.9.6b
noatun  3334 edgan  mem    REG       33,1  990234   32913 /lib/libcrypto.so.0.9.6b
noatun  3334 edgan  mem    REG       33,3 3572572   66495
/usr/lib/libGLcore.so.1.0.2960
noatun  3334 edgan  mem    REG       33,3  328816   49527
/usr/X11R6/lib/libXt.so.6.0
noatun  3334 edgan  mem    REG       33,3  344172   65781
/usr/lib/libfreetype.so.6.3.1
noatun  3334 edgan  mem    REG       33,3  161578   65722 /usr/lib/libexpat.so.0.2.0
noatun  3334 edgan  mem    REG       33,3 1830272  197056
/usr/lib/locale/locale-archive
noatun  3334 edgan  mem    REG       33,3  117360  410620
/usr/X11R6/lib/X11/locale/common/ximcp.so.2
noatun  3334 edgan  mem    REG       33,3   82188  329655
/usr/lib/qt-3.0.5/plugins/styles/bluecurve.so
noatun  3334 edgan  mem    REG       33,3   49965  315103
/usr/lib/kde3/noatun_marquis.so
noatun  3334 edgan  mem    REG       33,3   21674  315109
/usr/lib/kde3/noatun_net.so
noatun  3334 edgan  mem    REG       33,1 1321738  558147 /lib/i686/libc-2.2.90.so
noatun  3334 edgan  mem    REG       33,3  201128  494182
/usr/lib/kde3/plugins/styles/kthemestyle.so
noatun  3334 edgan  mem    REG       33,3   70121  296831
/usr/X11R6/lib/X11/fonts/Type1/l048013t.pfa
noatun  3334 edgan  mem    REG       33,3   72496  296833
/usr/X11R6/lib/X11/fonts/Type1/l048016t.pfa
noatun  3334 edgan  mem    REG       33,3  187820  315111
/usr/lib/kde3/noatun_splitplaylist.sonoatun  3334 edgan  mem    REG       33,3 
 81391  315091 /usr/lib/kde3/noatun_excellent.so
noatun  3334 edgan  mem    REG       33,3   61769   67366
/usr/lib/libnoatuncontrols.so.0.0.0
noatun  3334 edgan  mem    REG       33,3   59800  315093
/usr/lib/kde3/noatun_htmlexport.so
noatun  3334 edgan  mem    REG       0,11  435252    6808 /tmp/kde-edgan/ksycoca
noatun  3334 edgan  mem    REG       33,3   46313  315099
/usr/lib/kde3/noatun_keyz.so
noatun  3334 edgan  mem    REG       33,3   77535  315105
/usr/lib/kde3/noatun_metatag.so
noatun  3334 edgan  mem    REG       33,3   51813   67370
/usr/lib/libnoatuntags.so.0.0.0
noatun  3334 edgan  mem    REG       33,3   85591  315113
/usr/lib/kde3/noatun_systray.so
noatun  3334 edgan  mem    REG       33,3   36620  410625
/usr/X11R6/lib/X11/locale/common/xomGeneric.so.2
noatun  3334 edgan  mem    REG       33,1   43437   32870
/lib/libnss_files-2.2.90.so
noatun  3334 edgan    0u   CHR      136,3               5 /dev/pts/3
noatun  3334 edgan    1u   CHR      136,3               5 /dev/pts/3
noatun  3334 edgan    2u   CHR      136,3               5 /dev/pts/3
noatun  3334 edgan    3u  unix 0xe0ceb080          195028 socket
noatun  3334 edgan    4u  unix 0xdcd77c40          195032 socket
noatun  3334 edgan    5r  FIFO        0,6          195034 pipe
noatun  3334 edgan    6w  FIFO        0,6          195034 pipe
noatun  3334 edgan    7u  unix 0xdcd77040          195035 socket
noatun  3334 edgan    8r  FIFO        0,6          195038 pipe
noatun  3334 edgan    9w  FIFO        0,6          195038 pipe
noatun  3334 edgan   10r  FIFO        0,6          195039 pipe
noatun  3334 edgan   11w  FIFO        0,6          195039 pipe
noatun  3334 edgan   12r  FIFO        0,6          195040 pipe
noatun  3334 edgan   13w  FIFO        0,6          195040 pipe
noatun  3334 edgan   14r   REG       0,11  435252    6808 /tmp/kde-edgan/ksycoca
noatun  3334 edgan   15u  IPv4     195058             TCP *:7539 (LISTEN)
noatun  3334 edgan   16u  unix 0xcfa1a980          195080
/tmp/ksocket-edgan/noatunjGaWja.slave-socket
Comment 9 Phil Knirsch 2002-08-21 06:57:21 EDT
Could you try to add a new user and see if it crashes with that one as well? I
just can't see anything that might be the cause of it, so i slowly suspect it's
something with your user settings...

Read ya, Phil
Comment 10 Nathan G. Grennan 2002-08-21 10:46:48 EDT
adduser test
passwd test
login as test
open terminal window
run artsd in terminal window
open second terminal window
run noatun
Segmenation fault in first window from artsd
Comment 11 Nathan G. Grennan 2002-08-21 10:54:29 EDT
My best guess is that you are running KDE3 as your desktop and not Gnome2.
Comment 12 Phil Knirsch 2002-08-21 10:56:11 EDT
Hm, maybe...

Could you in the meantime do an

strace -f -F artsd

in the first terminal window and attache the output here? I really want to see
where artsd gives up.

Thanks for all your testing btw.  :-)

Read ya, Phil
Comment 13 Nathan G. Grennan 2002-08-21 11:09:12 EDT
Below is the last page of the strace. I don't think anymore is required since
once it finished loading it just kept getting the time of day.


select(10, [3 5 9], [8], [5 8 9], {0, 159482}) = 1 (in [9], left {0, 160146})
read(9, "MCOP\0\0\0\30\0\0\0\4\0\0\0\372\0\0\0\21\0\0\0\37", 8192) = 24
write(9, "MCOP\0\0\0\20\0\0\0\5\0\0\0\37", 16) = 16
gettimeofday({1029942446, 570466}, NULL) = 0
gettimeofday({1029942446, 570487}, NULL) = 0
select(10, [3 5 9], [8], [5 8 9], {0, 159056}) = 1 (in [9], left {0, 160146})
read(9, "MCOP\0\0\0=\0\0\0\4\0\0\0\372\0\0\0\0\0\0\0\36\0\0\0\n"..., 8192) = 61
write(9, "MCOP\0\0\0\24\0\0\0\5\0\0\0\36\0\0\0\5", 20) = 20
gettimeofday({1029942446, 570762}, NULL) = 0
gettimeofday({1029942446, 570782}, NULL) = 0
select(10, [3 5 9], [8], [5 8 9], {0, 158761}) = 1 (in [9], left {0, 160146})
read(9, "MCOP\0\0\0\30\0\0\0\4\0\0\0\372\0\0\0\5\0\0\0\36", 8192) = 24
write(9, "MCOP\0\0\0\377\0\0\0\5\0\0\0\36\0\0\0\353MCOP-Object:"..., 255) = 255
gettimeofday({1029942446, 571135}, NULL) = 0
gettimeofday({1029942446, 571155}, NULL) = 0
select(10, [3 5 9], [8], [5 8 9], {0, 158388}) = 1 (in [9], left {0, 160146})
read(9, "MCOP\0\0\0\30\0\0\0\4\0\0\0\372\0\0\0\7\0\0\0\36", 8192) = 24
write(9, "MCOP\0\0\0\20\0\0\0\5\0\0\0\36", 16) = 16
gettimeofday({1029942446, 756986}, NULL) = 0
gettimeofday({1029942446, 757060}, NULL) = 0
select(10, [3 5 9], [8], [5 8 9], {0, 172483}) = 2 (in [9], out [8], left {0,
173817})
read(9, "MCOP\0\0\0\232\0\0\0\4\0\0\0\376\0\0\0\23\0\0\0\37\0\0"..., 8192) = 154
brk(0x80e1000)                          = 0x80e1000
write(9, "MCOP\0\0\0\24\0\0\0\5\0\0\0\37\0\0\0\4", 20) = 20
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
Comment 14 Nathan G. Grennan 2002-08-21 11:19:40 EDT
Tried artsd and noatun under KDE3, same thing, crash.
Comment 15 Preston Brown 2002-08-21 13:54:44 EDT
crash, crash, crash. 
 
[pbrown@dionysus loader]$ artsd 
unix_connect: can't connect to server 
(unix:/tmp/mcop-pbrown/dionysus_devel_redhat_com-01c3-3d63d35f) 
There are already artsd objects registered, looking if they are active... 
... cleaned 5 unused mcop global references. 
 
 
 
[6]+  Stopped                 artsd 
[pbrown@dionysus loader]$ bg 
[6]+ artsd & 
[pbrown@dionysus loader]$ noatun "/usr/preston/mp3/Yaz - Move Out.mp3" 
mcop warning: user defined signal handler found for SIG_PIPE, overriding 
Started 
unix_connect: can't connect to server 
(unix:/tmp/mcop-pbrown/dionysus_devel_redhat_com-01c6-3d63d36c) 
Launched ok, pid = 459 
[6]   Segmentation fault      (core dumped) artsd 
 
[pbrown@dionysus loader]$ rpm -q arts 
arts-1.0.3-1 
Comment 16 Nathan G. Grennan 2002-08-21 15:59:48 EDT
I am not alone :)
Comment 17 Michael Redinger 2002-09-08 08:12:28 EDT
Doesn't work here either. This is null with rawhide updates applied.

$ rpm -q noatun arts
noatun-3.0.3-3
arts-1.0.3-1

Used to work fine in 7.3. The other apps work fine. Tried this on three
different machines.

To answer Bero's question: yes, kaboodle works.
Comment 18 Ngo Than 2002-10-16 11:24:12 EDT
It's fixed in 3.0.4-1 or newer.

Additional info:
in RHL 8.0 release noatun doesn't support mp3 file format anymore (license
issue), but ogg and other file format should work fine with this version.

Comment 19 Nathan G. Grennan 2002-10-16 12:32:46 EDT
Any quick places to get these from or will I have to wait for it to appear on
ftp.redhat.com or mirrors?

Note You need to log in before you can comment on or make changes to this bug.